Std WahlBegrenzungRahmen

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Std SelBoundingBox and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎русский

Std WahlBegrenzungRahmen

Menüeintrag
Ansicht → Begrenzungsrahmen
Arbeitsbereich
Alle
Standardtastenkürzel
Keiner
Eingeführt in Version
0.19
Siehe auch
Std ZeichenStil

Beschreibung

Der Std WahlBegrenzungRahmen Befehl schaltet den Modus der globalen Begrenzungsrahmenhervorhebung ein und aus. Wenn dieser Modus eingeschaltet ist, werden ausgewählte Objekte in einer 3D Ansicht mit einem hervorgehobenen Begrenzungsrahmen markiert, auch wenn ihr Ansicht EigenschaftAuswahlstil auf 'Form' eingestellt ist.

Anwendung

  1. Es gibt mehrere Möglichkeiten, den Befehl aufzurufen:
    • Drücke die Std SelBoundingBox.svg Std SelBoundingBox Schaltfläche.
    • Wähle die Ansicht → Std SelBoundingBox.svg Begrenzungsrahmen Option aus dem Menü.

Einstellungen

Die zugehörige Einstellung wird gespeichert: Werkzeuge → Parameter bearbeiten... → BasisAnwendung → Einstellungen → Anzeige → ZeigeAuswahlBegrenzungsRahmen. Es ist ein boolscher Wert, die Vorgabe ist false.

Skripten

Siehe auch: FreeCAD Grundlagen Skripten.

Um die AnzeigeAuswahlBegrenzungRahmen Einstellung zu ändern, verwende die SetBool Methode des entsprechenden ParameterGrp. Das Code Beispiel funktioniert nicht, wenn sich FreeCAD im Konsolenmodus befindet.

import FreeCAD, FreeCADGui

grp = FreeCAD.ParamGet('User parameter:BaseApp/Preferences/View')
if grp.GetBool('ShowSelectionBoundingBox'):
  grp.SetBool('ShowSelectionBoundingBox',False)
else:
  grp.SetBool('ShowSelectionBoundingBox',True)

FreeCADGui.updateCommands()